platform_database.py File Reference

Go to the source code of this file.

## Classes

class | mbed_lstools.platform_database.PlatformDatabase

## Namespaces

namespace | mbed_lstools
namespace | mbed_lstools.platform_database

## Functions

| mbed_lstools.platform_database._get_modified_time (path)
| mbed_lstools.platform_database._older_than_me (path)
| mbed_lstools.platform_database._modify_data_format (data, verbose_data, simple_data_key='platform_name')
| mbed_lstools.platform_database._overwrite_or_open (db)

## Variables

| mbed_lstools.platform_database.unicode = str
| mbed_lstools.platform_database.logger = logging.getLogger("mbedls.platform_database")
| mbed_lstools.platform_database.LOCAL_PLATFORM_DATABASE = join(user_data_dir("mbedls"), "platforms.json")
| mbed_lstools.platform_database.LOCAL_MOCKS_DATABASE = join(user_data_dir("mbedls"), "mock.json")
dict | mbed_lstools.platform_database.DEFAULT_PLATFORM_DB